Get External Bank Account

GEThttps://bank.dattaremit.com/api/external_bank_accounts/{external_bank_account_guid}

Requires a bank-scoped key.

Retrieves an external bank account.

## ExternalBankAccount retrieval

When retrieving an external bank account and include_balances is set to true, the Platform will attempt to retrieve the balance from the account's financial institution.

If force_balance_refresh is set to true, the Platform will always attempt to retrieve the most up to date balance from the account's financial institution. If force_balance_refresh is set to false, the Platform will return the cached balance.

If while getting the balance the Platform determines that the account needs to be refreshed, the Platform will return a 422 status code with the message "Bank account refresh required" and the ExternalBankAccount will be put into the refresh_required state.

If while getting the balance the Platform determines that the account is no longer valid, the Platform will return a 422 status code with the message "Bank account can no longer be used and is being deleted. It must be re-added" and the ExternalBankAccount will be deleted.

When retrieving an external bank account and include_pii is set to true, the Platform will include the account holder's information in the response.

Required scope: external_bank_accounts:read Optional scope: external_bank_accounts:pii:read.

Path Params

external_bank_account_guidstringrequired

Identifier for the external bank account.

Query Params

force_balance_refreshboolean

Force the balance on the account to be retrieved.

include_balancesboolean

Include balance information in the response. If `force_balance_refresh` is `true`, the most up to date balance will be returned. If `force_balance_refresh` is `false`, the cached balance will be returned. `balance_updated_at` in the response will provide the timestamp the balance was last updated.

include_piiboolean

Include the account holder's PII in the response (requires **external_bank_accounts:pii:read** scope).

Responses

200

External bank account found

401

Unauthorized - Authentication failed

403

Invalid scope

404

ExternalBankAccount not found

422

Unable to process request

Request

curl https://api.dattaremit.com/api/external_bank_accounts/{external_bank_account_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

External bank account found

{
  "guid": "string",
  "name": "string",
  "asset": "string",
  "account_kind": "string",
  "environment": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "plaid_institution_id": "string",
  "plaid_account_mask": "string",
  "plaid_account_name": "string",
  "state": "string",
  "failure_code": "string",
  "balance_updated_at": "2026-07-20T16:27:51.438Z",
  "balances": {
    "available": 1,
    "current": 1
  },
  "pii": [
    {
      "names": [
        "string"
      ],
      "addresses": [
        {
          "street": "string",
          "street2": "string",
          "city": "string",
          "subdivision": "string",
          "postal_code": "string",
          "country_code": "string"
        }
      ],
      "email_addresses": [
        "string"
      ],
      "phone_numbers": [
        "string"
      ],
      "account_details": [
        {
          "account_number": "string"
        }
      ],
      "routing_details": [
        {
          "routing_number_type": "string",
          "routing_number": "string",
          "payment_rail": "EFT"
        }
      ]
    }
  ]
}